- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoRouletteSelect< MOEOT > Class Template Reference

Selection strategy that selects ONE individual by using roulette wheel process. More...

`#include <moeoRouletteSelect.h>`

Inheritance diagram for moeoRouletteSelect< MOEOT >:

List of all members.

## Public Member Functions
| moeoRouletteSelect (unsigned int _tSize=2)
| Ctor.
const MOEOT & | operator() (const eoPop< MOEOT > &_pop)
| Apply the tournament to the given population.
## Protected Attributes
double & | tSize
| size

## Detailed Description

### template<class MOEOT>
class moeoRouletteSelect< MOEOT >

Selection strategy that selects ONE individual by using roulette wheel process.

Warning:
  This selection only uses fitness values (and not diversity values).

Definition at line 24 of file moeoRouletteSelect.h.

## Constructor & Destructor Documentation

template<class MOEOT>

moeoRouletteSelect< MOEOT >::moeoRouletteSelect | ( | unsigned int | _tSize = `2` | ) | `[inline]`

Ctor.

Parameters:

  | _tSize | the number of individuals in the tournament (default: 2)

Definition at line 32 of file moeoRouletteSelect.h.

References moeoRouletteSelect< MOEOT >::tSize.

## Member Function Documentation

template<class MOEOT>

const MOEOT& moeoRouletteSelect< MOEOT >::operator() | ( | const eoPop< MOEOT > & | _pop | ) | `[inline]`

Apply the tournament to the given population.

Parameters:

  | _pop | the population

Definition at line 48 of file moeoRouletteSelect.h.

References moeoRouletteSelect< MOEOT >::tSize.

The documentation for this class was generated from the following file:

- moeoRouletteSelect.h